Package org.h2.jdbc

# Class JdbcSQLXML

java.lang.Object
org.h2.message.TraceObject
org.h2.jdbc.JdbcLob
org.h2.jdbc.JdbcSQLXML

All Implemented Interfaces:
  `SQLXML`

public final class JdbcSQLXML extends JdbcLob implements SQLXML
Represents a SQLXML value.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.h2.jdbc.JdbcLob

`JdbcLob.State`

## Field Summary

### Fields inherited from class org.h2.message.TraceObject

`ARRAY, BLOB, CALLABLE_STATEMENT, CLOB, CONNECTION, DATA_SOURCE, DATABASE_META_DATA, PARAMETER_META_DATA, PREPARED_STATEMENT, RESULT_SET, RESULT_SET_META_DATA, SAVEPOINT, SQLXML, STATEMENT, trace, XA_DATA_SOURCE, XID`

## Constructor Summary

Constructors
Constructor
Description
`JdbcSQLXML(JdbcConnection conn, Value value, JdbcLob.State state, int id)`
INTERNAL

## Method Summary

Modifier and Type
Method
Description
`InputStream`
`getBinaryStream()`
`Reader`
`getCharacterStream()`
`<T extends Source>
T`
`getSource(Class<T> sourceClass)`
`String`
`getString()`
`OutputStream`
`setBinaryStream()`
`Writer`
`setCharacterStream()`
`<T extends Result>
T`
`setResult(Class<T> resultClass)`
`void`
`setString(String value)`

### Methods inherited from class org.h2.jdbc.JdbcLob

`free, toString`

### Methods inherited from class org.h2.message.TraceObject

`debugCode, debugCodeAssign, debugCodeCall, debugCodeCall, debugCodeCall, getNextId, getTraceId, getTraceObjectName, isDebugEnabled, isInfoEnabled, logAndConvert, quote, quoteArray, quoteBigDecimal, quoteBytes, quoteDate, quoteIntArray, quoteMap, quoteTime, quoteTimestamp, setTrace, unsupported`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.sql.SQLXML

`free`

## Constructor Details

### JdbcSQLXML

public JdbcSQLXML(JdbcConnection conn, Value value, JdbcLob.State state, int id)
INTERNAL

Parameters:
  `conn` - to use
  `value` - for this JdbcSQLXML
  `state` - of the LOB
  `id` - of the trace object

## Method Details

### getBinaryStream

public InputStream getBinaryStream() throws SQLException

Specified by:
  `getBinaryStream` in interface `SQLXML`
Throws:
  `SQLException`

### getCharacterStream

public Reader getCharacterStream() throws SQLException

Specified by:
  `getCharacterStream` in interface `SQLXML`
Throws:
  `SQLException`

### getSource

public <T extends Source> T getSource(Class<T> sourceClass) throws SQLException

Specified by:
  `getSource` in interface `SQLXML`
Throws:
  `SQLException`

### getString

public String getString() throws SQLException

Specified by:
  `getString` in interface `SQLXML`
Throws:
  `SQLException`

### setBinaryStream

public OutputStream setBinaryStream() throws SQLException

Specified by:
  `setBinaryStream` in interface `SQLXML`
Throws:
  `SQLException`

### setCharacterStream

public Writer setCharacterStream() throws SQLException

Specified by:
  `setCharacterStream` in interface `SQLXML`
Throws:
  `SQLException`

### setResult

public <T extends Result> T setResult(Class<T> resultClass) throws SQLException

Specified by:
  `setResult` in interface `SQLXML`
Throws:
  `SQLException`

### setString

public void setString(String value) throws SQLException

Specified by:
  `setString` in interface `SQLXML`
Throws:
  `SQLException`